Bug 147646 - [PATCH] graphics/libGL: fix linking with newer gcc and binutils
[PATCH] graphics/libGL: fix linking with newer gcc and binutils
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-x11
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 11:30 UTC by avg
Modified: 2011-02-25 17:21 UTC (History)
1 user (show)

See Also:


Attachments
libGL-7.6.1.patch (733 bytes, patch)
2010-06-07 11:30 UTC, avg
no flags Details | Diff
libGL-binutils-2.17.diff (3.88 KB, patch)
2010-11-21 13:12 UTC, Koop Mast
no flags Details | Diff
libGL-fix.txt (1.26 KB, text/plain; charset=US-ASCII)
2011-02-23 19:55 UTC, Scot Hetzel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description avg 2010-06-07 11:30:11 UTC
When CC is set to be gcc44 build of Mesa ports fails with:
relocation R_X86_64_PC32 against symbol `_gl_DispatchTSD' can not be used when making a shared object; recompile with -fPIC
This happens despite compilation being done with -fPIC already.
I am not sure about the theory on why this happens, but it seems
to be related to symbols visibility and -Bsymbolic linker option
has been suggested as a work-around or fix.
Indeed, that option is used for GNU/Linux build of Mesa and it
does indeed fix linking with gcc44 on FreeBSD.

Also, see this:
http://lists.freedesktop.org/archives/mesa-commit/2009-June/010029.html

Note that this PR is applicable to all Mesa ports,
I tested it with the following:
graphics/libGL graphics/libGLU graphics/libglut graphics/dri

Added file(s):
- files/patch-bin_mklib

Port maintainer (x11@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Patchfile is created with update-patches target.
Comment 1 Edwin Groothuis freebsd_committer 2010-06-07 11:30:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dimitry Andric freebsd_committer 2010-11-18 23:39:56 UTC
This is probably a better fix, since adding -Bsymbolic to *all* linker
invocations is, ahem, just a little bit overkill:

http://cgit.freedesktop.org/mesa/mesa/patch/?id=cb09d1ef60dae3b3c44f1370fd2f726c7044bc17

They're simply using the incorrect relocation type in their hand-written
assembly stubs...

But how to get this patch into all ports that use the Mesa tarball?
Some hack in graphics/libGL/bsd.mesalib.mk perhaps?
Comment 3 Koop Mast freebsd_committer 2010-11-21 13:12:54 UTC
What Dimitry forgot to mention that this problem showed up while working on the binutils 2.17 update.
Since this will be in head at some point it makes sense to get this fixed.

Anyway patch here, it fixes it for all the mesa based ports (I think I got them all).
Comment 4 Andriy Gapon freebsd_committer 2010-11-21 19:31:37 UTC
on 21/11/2010 15:12 Koop Mast said the following:
> What Dimitry forgot to mention that this problem showed up while working on the binutils 2.17 update.
> Since this will be in head at some point it makes sense to get this fixed.

Not only that, but this bug troubled everyone using gcc44/45/46 from the ports
collection to build the ports in question.

-- 
Andriy Gapon
Comment 5 Martin Wilke freebsd_committer 2011-02-19 09:24:01 UTC
State Changed
From-To: open->patched
Comment 6 Scot Hetzel 2011-02-23 19:55:55 UTC
I am experiencing the same problem with a recent -CURRENT:

FreeBSD vbox.hetzel.local 9.0-CURRENT FreeBSD 9.0-CURRENT #0 r218879M:
Sun Feb 20 08:46:49 UTC 2011
root@vbox.hetzel.local:/usr/obj/usr/src/9x/sys/GENERIC amd64

When I try to build the following ports:

graphics/libGL
graphics/libGLU
graphics/libGLw
graphics/libglut

I get this error and the build fails.

mklib: Making FreeBSD shared library:  libGL.so.1
/usr/bin/ld: ../../../src/mesa/x86-64/glapi_x86-64.o: relocation
R_X86_64_PC32 against '_gl_DispatchTSD' can not be used when making a
shared object; recompile with -fPIC
/usr/bin/ld: final link failed: Bad value
mklib: Installing libGL.so.1 libGL.so in ../../../lib
mv: rename libGL.so.1 to ../../../lib/libGL.so.1: No such file or directory

Before I found this PR, I found the bug report on FreeDesktop.org:

https://bugs.freedesktop.org/show_bug.cgi?id=33440

I was then able to create the attached patch and now both 7.4.4 and
7.6.1. builds.

Could this patch or a similar patch be commited.

Thanks,

Scot
Comment 7 Scot Hetzel 2011-02-23 20:30:14 UTC
On Wed, Feb 23, 2011 at 1:55 PM, Scot Hetzel <swhetzel@gmail.com> wrote:
> I am experiencing the same problem with a recent -CURRENT:
>
> FreeBSD vbox.hetzel.local 9.0-CURRENT FreeBSD 9.0-CURRENT #0 r218879M:
> Sun Feb 20 08:46:49 UTC 2011
> root@vbox.hetzel.local:/usr/obj/usr/src/9x/sys/GENERIC amd64
>
One thing I forgot to mention, this is just a recent -CURRENT with no
gcc or binutils ports installed.

This problem is now being caused by the recent binutils 2.17.50 import
into -CURRENT.

Scot
Comment 8 dfilter freebsd_committer 2011-02-25 16:52:59 UTC
miwi        2011-02-25 16:52:50 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.mk bsd.xorg.mk 
    devel/imake          Makefile distinfo pkg-descr 
    devel/libpciaccess   Makefile distinfo pkg-descr 
    devel/makedepend     Makefile distinfo pkg-descr 
    devel/xorg-macros    Makefile distinfo pkg-descr 
    graphics/dri         Makefile distinfo pkg-descr 
    graphics/libGL       Makefile bsd.mesalib.mk pkg-descr 
    graphics/libGLU      Makefile pkg-descr 
    graphics/libGLw      Makefile pkg-descr 
    graphics/libglut     Makefile 
    graphics/mesa-demos  Makefile 
    x11/appres           Makefile distinfo 
    x11/beforelight      Makefile distinfo pkg-descr 
    x11/bigreqsproto     Makefile distinfo pkg-descr pkg-plist 
    x11/bitmap           Makefile distinfo pkg-descr 
    x11/compositeproto   Makefile distinfo pkg-descr 
    x11/damageproto      Makefile distinfo pkg-descr 
    x11/dmxproto         pkg-descr pkg-plist 
    x11/dri2proto        Makefile distinfo pkg-descr 
    x11/editres          Makefile distinfo pkg-descr 
    x11/evieext          pkg-descr 
    x11/fixesproto       Makefile distinfo pkg-descr 
    x11/fstobdf          Makefile distinfo pkg-descr 
    x11/glproto          Makefile distinfo pkg-descr 
    x11/iceauth          Makefile distinfo pkg-descr 
    x11/ico              Makefile distinfo pkg-descr 
    x11/inputproto       Makefile distinfo pkg-descr pkg-plist 
    x11/kbproto          Makefile distinfo pkg-descr 
    x11/libICE           Makefile distinfo pkg-descr pkg-plist 
    x11/libSM            pkg-descr 
    x11/libX11           Makefile distinfo manpages pkg-descr 
                         pkg-plist 
    x11/libXScrnSaver    Makefile distinfo pkg-descr 
    x11/libXau           Makefile distinfo pkg-descr 
    x11/libXcomposite    Makefile distinfo pkg-descr 
    x11/libXcursor       Makefile distinfo pkg-descr 
    x11/libXdamage       Makefile distinfo pkg-descr 
    x11/libXdmcp         pkg-descr 
    x11/libXevie         pkg-descr 
    x11/libXext          Makefile distinfo pkg-descr pkg-plist 
    x11/libXfixes        pkg-descr 
    x11/libXi            Makefile distinfo pkg-descr 
    x11/libXinerama      pkg-descr 
    x11/libXprintAppUtil pkg-descr 
    x11/libXprintUtil    pkg-descr 
    x11/libXrandr        pkg-descr 
    x11/libXres          pkg-descr 
    x11/libXtrans        pkg-descr 
    x11/libXtst          pkg-descr 
    x11/libXv            pkg-descr 
    x11/libXvMC          pkg-descr 
    x11/libXxf86dga      pkg-descr 
    x11/libXxf86misc     pkg-descr 
    x11/libXxf86vm       pkg-descr 
    x11/libdmx           Makefile distinfo pkg-descr 
    x11/liboldX          pkg-descr 
    x11/libxkbfile       pkg-descr 
    x11/libxkbui         pkg-descr 
    x11/listres          pkg-descr 
    x11/luit             pkg-descr 
    x11/pixman           Makefile distinfo pkg-descr 
    x11/printproto       pkg-descr 
    x11/randrproto       Makefile distinfo pkg-descr 
    x11/recordproto      pkg-descr 
    x11/renderproto      pkg-descr 
    x11/rgb              Makefile distinfo pkg-descr 
    x11/rstart           pkg-descr 
    x11/scrnsaverproto   pkg-descr 
    x11/sessreg          Makefile distinfo pkg-descr 
    x11/setxkbmap        Makefile distinfo pkg-descr 
    x11/smproxy          pkg-descr 
    x11/videoproto       pkg-descr 
    x11/viewres          pkg-descr 
    x11/wrapper          pkg-descr 
    x11/x11perf          Makefile distinfo pkg-descr 
    x11/xauth            Makefile distinfo pkg-descr 
    x11/xbiff            Makefile distinfo pkg-descr 
    x11/xcalc            Makefile distinfo pkg-descr 
    x11/xclipboard       pkg-descr 
    x11/xcmiscproto      pkg-descr 
    x11/xcmsdb           pkg-descr 
    x11/xconsole         Makefile distinfo pkg-descr 
    x11/xcursorgen       pkg-descr 
    x11/xdbedizzy        pkg-descr 
    x11/xditview         pkg-descr 
    x11/xdm              Makefile pkg-plist 
    x11/xdpyinfo         pkg-descr 
    x11/xdriinfo         pkg-descr 
    x11/xedit            Makefile distinfo pkg-descr 
    x11/xev              Makefile distinfo pkg-descr 
    x11/xextproto        pkg-descr 
    x11/xeyes            Makefile distinfo pkg-descr 
    x11/xf86dga          pkg-descr 
    x11/xf86dgaproto     pkg-descr 
    x11/xf86driproto     pkg-descr 
    x11/xf86miscproto    pkg-descr 
    x11/xf86rushproto    pkg-descr 
    x11/xf86vidmodeproto pkg-descr 
    x11/xfd              pkg-descr 
    x11/xfindproxy       pkg-descr 
    x11/xfwp             pkg-descr 
    x11/xgamma           Makefile distinfo pkg-descr 
    x11/xgc              pkg-descr 
    x11/xhost            Makefile distinfo pkg-descr 
    x11/xineramaproto    pkg-descr 
    x11/xinit            pkg-descr 
    x11/xinput           Makefile distinfo 
    x11/xkbcomp          pkg-descr 
    x11/xkbevd           pkg-descr 
    x11/xkbprint         pkg-descr 
    x11/xkeyboard-config pkg-descr 
    x11/xkill            Makefile distinfo pkg-descr 
    x11/xload            pkg-descr 
    x11/xlogo            pkg-descr 
    x11/xlsatoms         pkg-descr 
    x11/xlsclients       pkg-descr 
    x11/xmag             pkg-descr 
    x11/xman             pkg-descr 
    x11/xmessage         pkg-descr 
    x11/xmh              pkg-descr 
    x11/xmodmap          pkg-descr 
    x11/xmore            Makefile distinfo pkg-descr 
    x11/xorg             Makefile pkg-descr 
    x11/xorg-apps        Makefile pkg-descr 
    x11/xorg-libraries   Makefile pkg-descr 
    x11/xplsprinters     pkg-descr 
    x11/xpr              pkg-descr 
    x11/xprehashprinterlist pkg-descr 
    x11/xprop            pkg-descr 
    x11/xproto           pkg-descr 
    x11/xproxymanagementprotocol pkg-descr 
    x11/xrandr           Makefile distinfo pkg-descr 
    x11/xrdb             pkg-descr 
    x11/xrefresh         pkg-descr 
    x11/xrx              pkg-descr 
    x11/xset             Makefile distinfo pkg-descr 
    x11/xsetmode         pkg-descr 
    x11/xsetpointer      pkg-descr 
    x11/xsetroot         pkg-descr 
    x11/xsm              pkg-descr 
    x11/xstdcmap         pkg-descr 
    x11/xtrans           pkg-descr 
    x11/xtrap            pkg-descr 
    x11/xvinfo           pkg-descr 
    x11/xwd              pkg-descr 
    x11/xwininfo         pkg-descr 
    x11/xwud             pkg-descr 
    x11-clocks/xclock    pkg-descr 
    x11-drivers/input-wacom Makefile pkg-descr 
    x11-drivers/input-wacom/files patch-linuxwacom-run_configure 
    x11-drivers/xf86-input-acecad Makefile pkg-descr 
    x11-drivers/xf86-input-citron Makefile pkg-descr 
    x11-drivers/xf86-input-elographics Makefile distinfo pkg-descr 
    x11-drivers/xf86-input-fpit Makefile pkg-descr 
    x11-drivers/xf86-input-hyperpen Makefile pkg-descr 
    x11-drivers/xf86-input-joystick Makefile pkg-descr 
    x11-drivers/xf86-input-keyboard Makefile distinfo pkg-descr 
    x11-drivers/xf86-input-magictouch Makefile pkg-descr 
    x11-drivers/xf86-input-mouse Makefile distinfo pkg-descr 
    x11-drivers/xf86-input-mutouch Makefile pkg-descr 
    x11-drivers/xf86-input-synaptics Makefile distinfo pkg-descr 
    x11-drivers/xf86-input-vmmouse Makefile pkg-descr 
    x11-drivers/xf86-input-void Makefile pkg-descr 
    x11-drivers/xf86-video-apm Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-ark Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-ati Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-ati613 Makefile 
    x11-drivers/xf86-video-chips Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-cirrus Makefile pkg-descr 
    x11-drivers/xf86-video-cyrix Makefile pkg-descr 
    x11-drivers/xf86-video-dummy Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-fbdev Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-glint Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-i128 Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-i740 Makefile pkg-descr 
    x11-drivers/xf86-video-imstt Makefile pkg-descr 
    x11-drivers/xf86-video-intel Makefile 
    x11-drivers/xf86-video-intel29 Makefile pkg-descr 
    x11-drivers/xf86-video-mach64 Makefile pkg-descr 
    x11-drivers/xf86-video-mga Makefile pkg-descr 
    x11-drivers/xf86-video-neomagic Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-newport Makefile pkg-descr 
    x11-drivers/xf86-video-nouveau Makefile 
    x11-drivers/xf86-video-nv Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-openchrome Makefile pkg-descr 
    x11-drivers/xf86-video-r128 Makefile pkg-descr 
    x11-drivers/xf86-video-radeonhd Makefile pkg-descr 
    x11-drivers/xf86-video-radeonhd-devel Makefile pkg-descr 
    x11-drivers/xf86-video-rdc Makefile 
    x11-drivers/xf86-video-rendition Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-s3 Makefile pkg-descr 
    x11-drivers/xf86-video-s3virge Makefile pkg-descr 
    x11-drivers/xf86-video-savage Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-siliconmotion Makefile distinfo 
                                         pkg-descr 
    x11-drivers/xf86-video-sis Makefile pkg-descr 
    x11-drivers/xf86-video-sis-intel pkg-descr 
    x11-drivers/xf86-video-sunffb Makefile pkg-descr 
    x11-drivers/xf86-video-tdfx Makefile pkg-descr 
    x11-drivers/xf86-video-tga Makefile pkg-descr 
    x11-drivers/xf86-video-trident Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-tseng Makefile distinfo pkg-descr 
    x11-drivers/xf86-video-vesa Makefile pkg-descr 
    x11-drivers/xf86-video-via Makefile pkg-descr 
    x11-drivers/xf86-video-vmware Makefile pkg-descr 
    x11-drivers/xf86-video-voodoo Makefile distinfo pkg-descr 
    x11-drivers/xorg-drivers Makefile pkg-descr 
    x11-fonts/bdftopcf   Makefile distinfo pkg-descr 
    x11-fonts/encodings  Makefile distinfo pkg-descr 
    x11-fonts/font-adobe-100dpi Makefile distinfo pkg-descr 
    x11-fonts/font-adobe-75dpi Makefile distinfo pkg-descr 
    x11-fonts/font-adobe-utopia-100dpi Makefile distinfo pkg-descr 
    x11-fonts/font-adobe-utopia-75dpi Makefile distinfo pkg-descr 
    x11-fonts/font-adobe-utopia-type1 Makefile distinfo pkg-descr 
    x11-fonts/font-alias Makefile distinfo pkg-descr 
    x11-fonts/font-arabic-misc Makefile distinfo pkg-descr 
    x11-fonts/font-bh-100dpi Makefile distinfo pkg-descr 
    x11-fonts/font-bh-75dpi Makefile distinfo pkg-descr 
    x11-fonts/font-bh-lucidatypewriter-100dpi Makefile distinfo 
                                              pkg-descr 
    x11-fonts/font-bh-lucidatypewriter-75dpi Makefile distinfo 
                                             pkg-descr 
    x11-fonts/font-bh-ttf Makefile distinfo pkg-descr pkg-plist 
    x11-fonts/font-bh-type1 Makefile distinfo pkg-descr 
    x11-fonts/font-bitstream-100dpi Makefile distinfo pkg-descr 
    x11-fonts/font-bitstream-75dpi Makefile distinfo pkg-descr 
    x11-fonts/font-bitstream-speedo Makefile distinfo pkg-descr 
    x11-fonts/font-bitstream-type1 Makefile distinfo pkg-descr 
    x11-fonts/font-cronyx-cyrillic Makefile distinfo pkg-descr 
    x11-fonts/font-cursor-misc Makefile distinfo pkg-descr 
    x11-fonts/font-daewoo-misc Makefile distinfo pkg-descr 
    x11-fonts/font-dec-misc Makefile distinfo pkg-descr 
    x11-fonts/font-ibm-type1 Makefile distinfo pkg-descr 
    x11-fonts/font-isas-misc Makefile distinfo pkg-descr 
    x11-fonts/font-jis-misc Makefile distinfo pkg-descr 
    x11-fonts/font-micro-misc Makefile distinfo pkg-descr 
    x11-fonts/font-misc-cyrillic Makefile distinfo pkg-descr 
    x11-fonts/font-misc-ethiopic Makefile distinfo pkg-descr 
    x11-fonts/font-misc-meltho Makefile distinfo pkg-descr 
    x11-fonts/font-misc-misc Makefile distinfo pkg-descr 
    x11-fonts/font-mutt-misc Makefile distinfo pkg-descr 
    x11-fonts/font-schumacher-misc Makefile distinfo pkg-descr 
    x11-fonts/font-screen-cyrillic Makefile distinfo pkg-descr 
    x11-fonts/font-sony-misc Makefile distinfo pkg-descr 
    x11-fonts/font-sun-misc Makefile distinfo pkg-descr 
    x11-fonts/font-util  Makefile distinfo pkg-descr 
    x11-fonts/font-winitzki-cyrillic Makefile distinfo pkg-descr 
    x11-fonts/font-xfree86-type1 Makefile distinfo pkg-descr 
    x11-fonts/fontcacheproto pkg-descr 
    x11-fonts/fontsproto Makefile distinfo pkg-descr pkg-plist 
    x11-fonts/fonttosfnt pkg-descr 
    x11-fonts/fslsfonts  Makefile distinfo pkg-descr 
    x11-fonts/libFS      Makefile distinfo pkg-descr pkg-plist 
    x11-fonts/libXfont   Makefile distinfo pkg-descr 
    x11-fonts/libXfontcache pkg-descr 
    x11-fonts/libfontenc Makefile distinfo pkg-descr 
    x11-fonts/mkfontdir  Makefile distinfo pkg-descr 
    x11-fonts/mkfontscale Makefile distinfo pkg-descr 
    x11-fonts/showfont   Makefile distinfo pkg-descr 
    x11-fonts/xf86bigfontproto pkg-descr 
    x11-fonts/xfontsel   Makefile distinfo pkg-descr 
    x11-fonts/xfs        Makefile distinfo pkg-descr pkg-install 
    x11-fonts/xfsinfo    Makefile distinfo pkg-descr 
    x11-fonts/xlsfonts   Makefile distinfo pkg-descr 
    x11-fonts/xorg-fonts Makefile pkg-descr 
    x11-fonts/xorg-fonts-100dpi Makefile pkg-descr 
    x11-fonts/xorg-fonts-75dpi Makefile pkg-descr 
    x11-fonts/xorg-fonts-cyrillic Makefile pkg-descr 
    x11-fonts/xorg-fonts-miscbitmaps Makefile pkg-descr 
    x11-fonts/xorg-fonts-truetype Makefile pkg-descr 
    x11-fonts/xorg-fonts-type1 Makefile pkg-descr 
    x11-servers/xephyr   Makefile distinfo 
    x11-servers/xorg-dmx Makefile distinfo 
    x11-servers/xorg-nestserver Makefile distinfo pkg-descr 
    x11-servers/xorg-server Makefile distinfo pkg-descr 
    x11-servers/xorg-vfbserver Makefile distinfo pkg-descr 
    x11-themes/xcursor-themes Makefile 
    x11-toolkits/libXaw  Makefile distinfo pkg-descr pkg-plist 
    x11-toolkits/libXmu  Makefile distinfo pkg-descr pkg-plist 
    x11-toolkits/libXt   Makefile distinfo pkg-descr pkg-plist 
    x11-wm/twm           Makefile distinfo pkg-descr 
    x11-wm/xcompmgr      Makefile 
  Added files:
    devel/imake/files    patch-xmkmf.cpp 
    graphics/libGL/files patch-src__mesa__x86-64__glapi_x86-64.S 
                         patch-src__mesa__x86-64__xform4.S 
                         patch-src__mesa__x86__glapi_x86.S 
                         patch-src__mesa__x86__read_rgba_span_x86.S 
  Removed files:
    graphics/dri/files   mesalib74-configure 
    graphics/libGLU/files mesalib74-configure 
    graphics/libGLw/files mesalib74-configure 
    graphics/libglut/files mesalib74-configure 
    graphics/mesa-demos/files mesalib74-configure 
  Log:
  - Please welcome Xorg 7.5.1
  
  The X-Server has been patched to the latest 1.7.X series, drivers
  and fonts have been updated to the latest versions. This update includes
  some components from Xorg 7.6 with a lot of improvements, and it seems
  that the performance is much better than the old version. Also this
  Update fix build issues with clang and binutils 2.17.50 in current,
  remove 6.X gruft and de-author pkg-descr.
  
  I would like to thank:
  
          Beat Gaetzi
          Dima Panov
          Koop Mast
          Eitan Adler
          and all Testers.
  
  PR:             ports/147646
                  ports/148035
                  ports/148744
                  ports/150223
                  ports/152889
                  ports/154457
  
  Revision  Changes    Path
  1.673     +5 -2      ports/Mk/bsd.port.mk
  1.13      +4 -3      ports/Mk/bsd.xorg.mk
  1.21      +1 -1      ports/devel/imake/Makefile
  1.6       +2 -3      ports/devel/imake/distinfo
  1.1       +26 -0     ports/devel/imake/files/patch-xmkmf.cpp (new)
  1.4       +0 -3      ports/devel/imake/pkg-descr
  1.12      +2 -2      ports/devel/libpciaccess/Makefile
  1.5       +2 -3      ports/devel/libpciaccess/distinfo
  1.2       +0 -3      ports/devel/libpciaccess/pkg-descr
  1.17      +1 -1      ports/devel/makedepend/Makefile
  1.10      +2 -3      ports/devel/makedepend/distinfo
  1.2       +2 -0      ports/devel/makedepend/pkg-descr
  1.5       +1 -1      ports/devel/xorg-macros/Makefile
  1.4       +2 -3      ports/devel/xorg-macros/distinfo
  1.2       +1 -2      ports/devel/xorg-macros/pkg-descr
  1.36      +3 -3      ports/graphics/dri/Makefile
  1.19      +0 -2      ports/graphics/dri/distinfo
  1.2       +0 -11     ports/graphics/dri/files/mesalib74-configure (dead)
  1.3       +0 -3      ports/graphics/dri/pkg-descr
  1.17      +0 -4      ports/graphics/libGL/Makefile
  1.17      +3 -2      ports/graphics/libGL/bsd.mesalib.mk
  1.1       +12 -0     ports/graphics/libGL/files/patch-src__mesa__x86-64__glapi_x86-64.S (new)
  1.1       +65 -0     ports/graphics/libGL/files/patch-src__mesa__x86-64__xform4.S (new)
  1.1       +11 -0     ports/graphics/libGL/files/patch-src__mesa__x86__glapi_x86.S (new)
  1.1       +11 -0     ports/graphics/libGL/files/patch-src__mesa__x86__read_rgba_span_x86.S (new)
  1.2       +0 -3      ports/graphics/libGL/pkg-descr
  1.14      +0 -4      ports/graphics/libGLU/Makefile
  1.2       +0 -11     ports/graphics/libGLU/files/mesalib74-configure (dead)
  1.2       +0 -3      ports/graphics/libGLU/pkg-descr
  1.10      +0 -4      ports/graphics/libGLw/Makefile
  1.2       +0 -11     ports/graphics/libGLw/files/mesalib74-configure (dead)
  1.2       +0 -3      ports/graphics/libGLw/pkg-descr
  1.25      +0 -4      ports/graphics/libglut/Makefile
  1.2       +0 -11     ports/graphics/libglut/files/mesalib74-configure (dead)
  1.34      +4 -0      ports/graphics/mesa-demos/Makefile
  1.2       +0 -11     ports/graphics/mesa-demos/files/mesalib74-configure (dead)
  1.2       +1 -2      ports/x11-clocks/xclock/pkg-descr
  1.17      +17 -20    ports/x11-drivers/input-wacom/Makefile
  1.5       +6 -10     ports/x11-drivers/input-wacom/files/patch-linuxwacom-run_configure
  1.2       +0 -3      ports/x11-drivers/input-wacom/pkg-descr
  1.10      +2 -7      ports/x11-drivers/xf86-input-acecad/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-input-acecad/pkg-descr
  1.11      +2 -10     ports/x11-drivers/xf86-input-citron/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-input-citron/pkg-descr
  1.9       +2 -11     ports/x11-drivers/xf86-input-elographics/Makefile
  1.3       +2 -3      ports/x11-drivers/xf86-input-elographics/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-input-elographics/pkg-descr
  1.9       +2 -10     ports/x11-drivers/xf86-input-fpit/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-input-fpit/pkg-descr
  1.10      +2 -9      ports/x11-drivers/xf86-input-hyperpen/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-input-hyperpen/pkg-descr
  1.11      +2 -9      ports/x11-drivers/xf86-input-joystick/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-input-joystick/pkg-descr
  1.11      +2 -8      ports/x11-drivers/xf86-input-keyboard/Makefile
  1.5       +2 -3      ports/x11-drivers/xf86-input-keyboard/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-input-keyboard/pkg-descr
  1.11      +1 -1      ports/x11-drivers/xf86-input-magictouch/Makefile
  1.2       +0 -3      ports/x11-drivers/xf86-input-magictouch/pkg-descr
  1.16      +2 -8      ports/x11-drivers/xf86-input-mouse/Makefile
  1.6       +2 -3      ports/x11-drivers/xf86-input-mouse/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-input-mouse/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-input-mutouch/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-input-mutouch/pkg-descr
  1.12      +2 -7      ports/x11-drivers/xf86-input-synaptics/Makefile
  1.8       +0 -1      ports/x11-drivers/xf86-input-synaptics/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-input-synaptics/pkg-descr
  1.17      +2 -7      ports/x11-drivers/xf86-input-vmmouse/Makefile
  1.3       +2 -0      ports/x11-drivers/xf86-input-vmmouse/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-input-void/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-input-void/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-video-apm/Makefile
  1.4       +2 -3      ports/x11-drivers/xf86-video-apm/distinfo
  1.2       +0 -3      ports/x11-drivers/xf86-video-apm/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-video-ark/Makefile
  1.4       +2 -3      ports/x11-drivers/xf86-video-ark/distinfo
  1.2       +0 -3      ports/x11-drivers/xf86-video-ark/pkg-descr
  1.24      +2 -8      ports/x11-drivers/xf86-video-ati/Makefile
  1.18      +2 -3      ports/x11-drivers/xf86-video-ati/distinfo
  1.2       +0 -3      ports/x11-drivers/xf86-video-ati/pkg-descr
  1.25      +2 -8      ports/x11-drivers/xf86-video-ati613/Makefile
  1.10      +2 -8      ports/x11-drivers/xf86-video-chips/Makefile
  1.4       +2 -3      ports/x11-drivers/xf86-video-chips/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-video-chips/pkg-descr
  1.10      +2 -7      ports/x11-drivers/xf86-video-cirrus/Makefile
  1.2       +0 -3      ports/x11-drivers/xf86-video-cirrus/pkg-descr
  1.9       +1 -1      ports/x11-drivers/xf86-video-cyrix/Makefile
  1.2       +0 -3      ports/x11-drivers/xf86-video-cyrix/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-video-dummy/Makefile
  1.5       +2 -3      ports/x11-drivers/xf86-video-dummy/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-video-dummy/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-video-fbdev/Makefile
  1.4       +2 -3      ports/x11-drivers/xf86-video-fbdev/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-video-fbdev/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-video-glint/Makefile
  1.4       +2 -3      ports/x11-drivers/xf86-video-glint/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-video-glint/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-video-i128/Makefile
  1.4       +2 -3      ports/x11-drivers/xf86-video-i128/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-video-i128/pkg-descr
  1.10      +2 -7      ports/x11-drivers/xf86-video-i740/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-i740/pkg-descr
  1.9       +1 -1      ports/x11-drivers/xf86-video-imstt/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-imstt/pkg-descr
  1.20      +2 -8      ports/x11-drivers/xf86-video-intel/Makefile
  1.19      +0 -2      ports/x11-drivers/xf86-video-intel29/Makefile
  1.3       +2 -0      ports/x11-drivers/xf86-video-intel29/pkg-descr
  1.8       +2 -7      ports/x11-drivers/xf86-video-mach64/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-mach64/pkg-descr
  1.14      +1 -8      ports/x11-drivers/xf86-video-mga/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-mga/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-video-neomagic/Makefile
  1.4       +2 -3      ports/x11-drivers/xf86-video-neomagic/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-video-neomagic/pkg-descr
  1.10      +2 -7      ports/x11-drivers/xf86-video-newport/Makefile
  1.2       +0 -3      ports/x11-drivers/xf86-video-newport/pkg-descr
  1.12      +2 -8      ports/x11-drivers/xf86-video-nouveau/Makefile
  1.23      +2 -8      ports/x11-drivers/xf86-video-nv/Makefile
  1.15      +2 -3      ports/x11-drivers/xf86-video-nv/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-video-nv/pkg-descr
  1.20      +2 -8      ports/x11-drivers/xf86-video-openchrome/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-openchrome/pkg-descr
  1.8       +2 -7      ports/x11-drivers/xf86-video-r128/Makefile
  1.2       +0 -2      ports/x11-drivers/xf86-video-r128/pkg-descr
  1.35      +2 -8      ports/x11-drivers/xf86-video-radeonhd-devel/Makefile
  1.3       +2 -0      ports/x11-drivers/xf86-video-radeonhd-devel/pkg-descr
  1.19      +1 -5      ports/x11-drivers/xf86-video-radeonhd/Makefile
  1.3       +2 -0      ports/x11-drivers/xf86-video-radeonhd/pkg-descr
  1.4       +2 -4      ports/x11-drivers/xf86-video-rdc/Makefile
  1.10      +2 -8      ports/x11-drivers/xf86-video-rendition/Makefile
  1.5       +2 -3      ports/x11-drivers/xf86-video-rendition/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-video-rendition/pkg-descr
  1.10      +2 -7      ports/x11-drivers/xf86-video-s3/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-s3/pkg-descr
  1.10      +2 -7      ports/x11-drivers/xf86-video-s3virge/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-s3virge/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-video-savage/Makefile
  1.5       +2 -3      ports/x11-drivers/xf86-video-savage/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-video-savage/pkg-descr
  1.10      +1 -7      ports/x11-drivers/xf86-video-siliconmotion/Makefile
  1.6       +0 -1      ports/x11-drivers/xf86-video-siliconmotion/distinfo
  1.2       +1 -2      ports/x11-drivers/xf86-video-siliconmotion/pkg-descr
  1.2       +0 -3      ports/x11-drivers/xf86-video-sis-intel/pkg-descr
  1.13      +2 -8      ports/x11-drivers/xf86-video-sis/Makefile
  1.2       +0 -3      ports/x11-drivers/xf86-video-sis/pkg-descr
  1.11      +1 -0      ports/x11-drivers/xf86-video-sunffb/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-sunffb/pkg-descr
  1.10      +2 -7      ports/x11-drivers/xf86-video-tdfx/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-tdfx/pkg-descr
  1.10      +2 -7      ports/x11-drivers/xf86-video-tga/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-tga/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-video-trident/Makefile
  1.4       +2 -3      ports/x11-drivers/xf86-video-trident/distinfo
  1.2       +0 -3      ports/x11-drivers/xf86-video-trident/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-video-tseng/Makefile
  1.4       +2 -3      ports/x11-drivers/xf86-video-tseng/distinfo
  1.2       +0 -3      ports/x11-drivers/xf86-video-tseng/pkg-descr
  1.10      +2 -7      ports/x11-drivers/xf86-video-vesa/Makefile
  1.2       +0 -3      ports/x11-drivers/xf86-video-vesa/pkg-descr
  1.10      +1 -1      ports/x11-drivers/xf86-video-via/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-via/pkg-descr
  1.13      +2 -7      ports/x11-drivers/xf86-video-vmware/Makefile
  1.2       +1 -2      ports/x11-drivers/xf86-video-vmware/pkg-descr
  1.10      +2 -8      ports/x11-drivers/xf86-video-voodoo/Makefile
  1.5       +2 -3      ports/x11-drivers/xf86-video-voodoo/distinfo
  1.2       +0 -3      ports/x11-drivers/xf86-video-voodoo/pkg-descr
  1.21      +4 -4      ports/x11-drivers/xorg-drivers/Makefile
  1.2       +0 -3      ports/x11-drivers/xorg-drivers/pkg-descr
  1.4       +1 -1      ports/x11-fonts/bdftopcf/Makefile
  1.4       +2 -3      ports/x11-fonts/bdftopcf/distinfo
  1.2       +1 -2      ports/x11-fonts/bdftopcf/pkg-descr
  1.3       +1 -1      ports/x11-fonts/encodings/Makefile
  1.3       +2 -3      ports/x11-fonts/encodings/distinfo
  1.2       +1 -2      ports/x11-fonts/encodings/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-adobe-100dpi/Makefile
  1.3       +2 -3      ports/x11-fonts/font-adobe-100dpi/distinfo
  1.2       +1 -2      ports/x11-fonts/font-adobe-100dpi/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-adobe-75dpi/Makefile
  1.3       +2 -3      ports/x11-fonts/font-adobe-75dpi/distinfo
  1.2       +1 -2      ports/x11-fonts/font-adobe-75dpi/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-adobe-utopia-100dpi/Makefile
  1.3       +2 -3      ports/x11-fonts/font-adobe-utopia-100dpi/distinfo
  1.2       +1 -2      ports/x11-fonts/font-adobe-utopia-100dpi/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-adobe-utopia-75dpi/Makefile
  1.3       +2 -3      ports/x11-fonts/font-adobe-utopia-75dpi/distinfo
  1.2       +1 -2      ports/x11-fonts/font-adobe-utopia-75dpi/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-adobe-utopia-type1/Makefile
  1.3       +2 -3      ports/x11-fonts/font-adobe-utopia-type1/distinfo
  1.2       +1 -2      ports/x11-fonts/font-adobe-utopia-type1/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-alias/Makefile
  1.3       +2 -3      ports/x11-fonts/font-alias/distinfo
  1.2       +1 -2      ports/x11-fonts/font-alias/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-arabic-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-arabic-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-arabic-misc/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-bh-100dpi/Makefile
  1.3       +2 -3      ports/x11-fonts/font-bh-100dpi/distinfo
  1.2       +1 -2      ports/x11-fonts/font-bh-100dpi/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-bh-75dpi/Makefile
  1.3       +2 -3      ports/x11-fonts/font-bh-75dpi/distinfo
  1.2       +1 -2      ports/x11-fonts/font-bh-75dpi/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-bh-lucidatypewriter-100dpi/Makefile
  1.3       +2 -3      ports/x11-fonts/font-bh-lucidatypewriter-100dpi/distinfo
  1.2       +1 -2      ports/x11-fonts/font-bh-lucidatypewriter-100dpi/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-bh-lucidatypewriter-75dpi/Makefile
  1.3       +2 -3      ports/x11-fonts/font-bh-lucidatypewriter-75dpi/distinfo
  1.2       +1 -2      ports/x11-fonts/font-bh-lucidatypewriter-75dpi/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-bh-ttf/Makefile
  1.3       +2 -3      ports/x11-fonts/font-bh-ttf/distinfo
  1.2       +1 -2      ports/x11-fonts/font-bh-ttf/pkg-descr
  1.2       +5 -0      ports/x11-fonts/font-bh-ttf/pkg-plist
  1.3       +1 -1      ports/x11-fonts/font-bh-type1/Makefile
  1.3       +2 -3      ports/x11-fonts/font-bh-type1/distinfo
  1.2       +1 -2      ports/x11-fonts/font-bh-type1/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-bitstream-100dpi/Makefile
  1.3       +2 -3      ports/x11-fonts/font-bitstream-100dpi/distinfo
  1.2       +1 -2      ports/x11-fonts/font-bitstream-100dpi/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-bitstream-75dpi/Makefile
  1.3       +2 -3      ports/x11-fonts/font-bitstream-75dpi/distinfo
  1.2       +1 -2      ports/x11-fonts/font-bitstream-75dpi/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-bitstream-speedo/Makefile
  1.3       +2 -3      ports/x11-fonts/font-bitstream-speedo/distinfo
  1.2       +1 -2      ports/x11-fonts/font-bitstream-speedo/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-bitstream-type1/Makefile
  1.3       +2 -3      ports/x11-fonts/font-bitstream-type1/distinfo
  1.2       +1 -2      ports/x11-fonts/font-bitstream-type1/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-cronyx-cyrillic/Makefile
  1.3       +2 -3      ports/x11-fonts/font-cronyx-cyrillic/distinfo
  1.2       +1 -2      ports/x11-fonts/font-cronyx-cyrillic/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-cursor-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-cursor-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-cursor-misc/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-daewoo-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-daewoo-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-daewoo-misc/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-dec-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-dec-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-dec-misc/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-ibm-type1/Makefile
  1.3       +2 -3      ports/x11-fonts/font-ibm-type1/distinfo
  1.2       +1 -2      ports/x11-fonts/font-ibm-type1/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-isas-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-isas-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-isas-misc/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-jis-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-jis-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-jis-misc/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-micro-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-micro-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-micro-misc/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-misc-cyrillic/Makefile
  1.3       +2 -3      ports/x11-fonts/font-misc-cyrillic/distinfo
  1.2       +1 -2      ports/x11-fonts/font-misc-cyrillic/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-misc-ethiopic/Makefile
  1.3       +2 -3      ports/x11-fonts/font-misc-ethiopic/distinfo
  1.2       +1 -2      ports/x11-fonts/font-misc-ethiopic/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-misc-meltho/Makefile
  1.3       +2 -3      ports/x11-fonts/font-misc-meltho/distinfo
  1.2       +1 -2      ports/x11-fonts/font-misc-meltho/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-misc-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-misc-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-misc-misc/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-mutt-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-mutt-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-mutt-misc/pkg-descr
  1.4       +1 -1      ports/x11-fonts/font-schumacher-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-schumacher-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-schumacher-misc/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-screen-cyrillic/Makefile
  1.3       +2 -3      ports/x11-fonts/font-screen-cyrillic/distinfo
  1.2       +1 -2      ports/x11-fonts/font-screen-cyrillic/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-sony-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-sony-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-sony-misc/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-sun-misc/Makefile
  1.3       +2 -3      ports/x11-fonts/font-sun-misc/distinfo
  1.2       +1 -2      ports/x11-fonts/font-sun-misc/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-util/Makefile
  1.3       +2 -3      ports/x11-fonts/font-util/distinfo
  1.2       +1 -2      ports/x11-fonts/font-util/pkg-descr
  1.3       +1 -1      ports/x11-fonts/font-winitzki-cyrillic/Makefile
  1.3       +2 -3      ports/x11-fonts/font-winitzki-cyrillic/distinfo
  1.2       +1 -2      ports/x11-fonts/font-winitzki-cyrillic/pkg-descr
  1.4       +1 -1      ports/x11-fonts/font-xfree86-type1/Makefile
  1.4       +2 -3      ports/x11-fonts/font-xfree86-type1/distinfo
  1.2       +1 -2      ports/x11-fonts/font-xfree86-type1/pkg-descr
  1.2       +1 -2      ports/x11-fonts/fontcacheproto/pkg-descr
  1.3       +1 -1      ports/x11-fonts/fontsproto/Makefile
  1.3       +2 -3      ports/x11-fonts/fontsproto/distinfo
  1.2       +1 -2      ports/x11-fonts/fontsproto/pkg-descr
  1.2       +2 -0      ports/x11-fonts/fontsproto/pkg-plist
  1.2       +1 -2      ports/x11-fonts/fonttosfnt/pkg-descr
  1.3       +1 -1      ports/x11-fonts/fslsfonts/Makefile
  1.3       +2 -3      ports/x11-fonts/fslsfonts/distinfo
  1.2       +1 -2      ports/x11-fonts/fslsfonts/pkg-descr
  1.8       +1 -1      ports/x11-fonts/libFS/Makefile
  1.4       +2 -3      ports/x11-fonts/libFS/distinfo
  1.2       +1 -2      ports/x11-fonts/libFS/pkg-descr
  1.2       +2 -0      ports/x11-fonts/libFS/pkg-plist
  1.23      +1 -1      ports/x11-fonts/libXfont/Makefile
  1.10      +2 -3      ports/x11-fonts/libXfont/distinfo
  1.2       +0 -3      ports/x11-fonts/libXfont/pkg-descr
  1.2       +1 -2      ports/x11-fonts/libXfontcache/pkg-descr
  1.3       +1 -1      ports/x11-fonts/libfontenc/Makefile
  1.3       +2 -3      ports/x11-fonts/libfontenc/distinfo
  1.2       +1 -2      ports/x11-fonts/libfontenc/pkg-descr
  1.6       +1 -1      ports/x11-fonts/mkfontdir/Makefile
  1.5       +2 -3      ports/x11-fonts/mkfontdir/distinfo
  1.2       +1 -2      ports/x11-fonts/mkfontdir/pkg-descr
  1.4       +1 -1      ports/x11-fonts/mkfontscale/Makefile
  1.4       +2 -3      ports/x11-fonts/mkfontscale/distinfo
  1.2       +1 -2      ports/x11-fonts/mkfontscale/pkg-descr
  1.4       +1 -1      ports/x11-fonts/showfont/Makefile
  1.3       +2 -3      ports/x11-fonts/showfont/distinfo
  1.2       +1 -2      ports/x11-fonts/showfont/pkg-descr
  1.2       +1 -2      ports/x11-fonts/xf86bigfontproto/pkg-descr
  1.3       +1 -2      ports/x11-fonts/xfontsel/Makefile
  1.2       +2 -3      ports/x11-fonts/xfontsel/distinfo
  1.2       +1 -2      ports/x11-fonts/xfontsel/pkg-descr
  1.21      +8 -6      ports/x11-fonts/xfs/Makefile
  1.10      +2 -3      ports/x11-fonts/xfs/distinfo
  1.3       +1 -2      ports/x11-fonts/xfs/pkg-descr
  1.3       +1 -1      ports/x11-fonts/xfs/pkg-install
  1.3       +1 -1      ports/x11-fonts/xfsinfo/Makefile
  1.3       +2 -3      ports/x11-fonts/xfsinfo/distinfo
  1.2       +1 -2      ports/x11-fonts/xfsinfo/pkg-descr
  1.2       +1 -1      ports/x11-fonts/xlsfonts/Makefile
  1.2       +2 -3      ports/x11-fonts/xlsfonts/distinfo
  1.2       +1 -2      ports/x11-fonts/xlsfonts/pkg-descr
  1.16      +1 -1      ports/x11-fonts/xorg-fonts-100dpi/Makefile
  1.2       +0 -3      ports/x11-fonts/xorg-fonts-100dpi/pkg-descr
  1.16      +1 -1      ports/x11-fonts/xorg-fonts-75dpi/Makefile
  1.2       +0 -3      ports/x11-fonts/xorg-fonts-75dpi/pkg-descr
  1.16      +1 -1      ports/x11-fonts/xorg-fonts-cyrillic/Makefile
  1.2       +0 -3      ports/x11-fonts/xorg-fonts-cyrillic/pkg-descr
  1.16      +1 -1      ports/x11-fonts/xorg-fonts-miscbitmaps/Makefile
  1.2       +0 -3      ports/x11-fonts/xorg-fonts-miscbitmaps/pkg-descr
  1.16      +1 -1      ports/x11-fonts/xorg-fonts-truetype/Makefile
  1.2       +0 -3      ports/x11-fonts/xorg-fonts-truetype/pkg-descr
  1.16      +1 -1      ports/x11-fonts/xorg-fonts-type1/Makefile
  1.2       +0 -3      ports/x11-fonts/xorg-fonts-type1/pkg-descr
  1.6       +1 -1      ports/x11-fonts/xorg-fonts/Makefile
  1.2       +0 -3      ports/x11-fonts/xorg-fonts/pkg-descr
  1.11      +1 -1      ports/x11-servers/xephyr/Makefile
  1.7       +2 -3      ports/x11-servers/xephyr/distinfo
  1.18      +1 -3      ports/x11-servers/xorg-dmx/Makefile
  1.11      +2 -3      ports/x11-servers/xorg-dmx/distinfo
  1.18      +1 -3      ports/x11-servers/xorg-nestserver/Makefile
  1.13      +2 -3      ports/x11-servers/xorg-nestserver/distinfo
  1.2       +0 -3      ports/x11-servers/xorg-nestserver/pkg-descr
  1.79      +1 -7      ports/x11-servers/xorg-server/Makefile
  1.15      +2 -3      ports/x11-servers/xorg-server/distinfo
  1.2       +0 -3      ports/x11-servers/xorg-server/pkg-descr
  1.21      +1 -3      ports/x11-servers/xorg-vfbserver/Makefile
  1.13      +2 -3      ports/x11-servers/xorg-vfbserver/distinfo
  1.2       +0 -3      ports/x11-servers/xorg-vfbserver/pkg-descr
  1.4       +0 -0      ports/x11-themes/xcursor-themes/Makefile
  1.23      +2 -1      ports/x11-toolkits/libXaw/Makefile
  1.10      +2 -3      ports/x11-toolkits/libXaw/distinfo
  1.3       +0 -3      ports/x11-toolkits/libXaw/pkg-descr
  1.8       +46 -4     ports/x11-toolkits/libXaw/pkg-plist
  1.21      +1 -1      ports/x11-toolkits/libXmu/Makefile
  1.8       +2 -3      ports/x11-toolkits/libXmu/distinfo
  1.2       +0 -3      ports/x11-toolkits/libXmu/pkg-descr
  1.4       +5 -1      ports/x11-toolkits/libXmu/pkg-plist
  1.25      +268 -269  ports/x11-toolkits/libXt/Makefile
  1.7       +2 -3      ports/x11-toolkits/libXt/distinfo
  1.2       +0 -3      ports/x11-toolkits/libXt/pkg-descr
  1.5       +17 -18    ports/x11-toolkits/libXt/pkg-plist
  1.3       +1 -1      ports/x11-wm/twm/Makefile
  1.3       +2 -3      ports/x11-wm/twm/distinfo
  1.2       +0 -2      ports/x11-wm/twm/pkg-descr
  1.12      +0 -0      ports/x11-wm/xcompmgr/Makefile
  1.3       +1 -1      ports/x11/appres/Makefile
  1.3       +2 -3      ports/x11/appres/distinfo
  1.3       +1 -2      ports/x11/beforelight/Makefile
  1.3       +2 -3      ports/x11/beforelight/distinfo
  1.2       +0 -3      ports/x11/beforelight/pkg-descr
  1.3       +1 -1      ports/x11/bigreqsproto/Makefile
  1.3       +2 -3      ports/x11/bigreqsproto/distinfo
  1.2       +0 -3      ports/x11/bigreqsproto/pkg-descr
  1.3       +2 -0      ports/x11/bigreqsproto/pkg-plist
  1.4       +1 -1      ports/x11/bitmap/Makefile
  1.3       +2 -3      ports/x11/bitmap/distinfo
  1.2       +0 -3      ports/x11/bitmap/pkg-descr
  1.4       +1 -1      ports/x11/compositeproto/Makefile
  1.4       +2 -3      ports/x11/compositeproto/distinfo
  1.2       +1 -2      ports/x11/compositeproto/pkg-descr
  1.3       +1 -1      ports/x11/damageproto/Makefile
  1.3       +2 -3      ports/x11/damageproto/distinfo
  1.2       +0 -3      ports/x11/damageproto/pkg-descr
  1.2       +1 -2      ports/x11/dmxproto/pkg-descr
  1.3       +1 -1      ports/x11/dmxproto/pkg-plist
  1.6       +1 -1      ports/x11/dri2proto/Makefile
  1.6       +2 -3      ports/x11/dri2proto/distinfo
  1.2       +1 -2      ports/x11/dri2proto/pkg-descr
  1.4       +1 -1      ports/x11/editres/Makefile
  1.3       +2 -3      ports/x11/editres/distinfo
  1.2       +0 -3      ports/x11/editres/pkg-descr
  1.2       +1 -2      ports/x11/evieext/pkg-descr
  1.3       +1 -1      ports/x11/fixesproto/Makefile
  1.3       +2 -3      ports/x11/fixesproto/distinfo
  1.2       +1 -2      ports/x11/fixesproto/pkg-descr
  1.3       +1 -1      ports/x11/fstobdf/Makefile
  1.3       +2 -3      ports/x11/fstobdf/distinfo
  1.2       +0 -3      ports/x11/fstobdf/pkg-descr
  1.5       +1 -1      ports/x11/glproto/Makefile
  1.5       +2 -3      ports/x11/glproto/distinfo
  1.2       +1 -2      ports/x11/glproto/pkg-descr
  1.4       +1 -1      ports/x11/iceauth/Makefile
  1.4       +2 -3      ports/x11/iceauth/distinfo
  1.2       +0 -3      ports/x11/iceauth/pkg-descr
  1.3       +1 -1      ports/x11/ico/Makefile
  1.3       +2 -3      ports/x11/ico/distinfo
  1.2       +0 -3      ports/x11/ico/pkg-descr
  1.5       +1 -1      ports/x11/inputproto/Makefile
  1.5       +2 -3      ports/x11/inputproto/distinfo
  1.2       +0 -3      ports/x11/inputproto/pkg-descr
  1.3       +4 -1      ports/x11/inputproto/pkg-plist
  1.3       +1 -1      ports/x11/kbproto/Makefile
  1.3       +2 -3      ports/x11/kbproto/distinfo
  1.2       +1 -2      ports/x11/kbproto/pkg-descr
  1.22      +1 -1      ports/x11/libICE/Makefile
  1.9       +2 -3      ports/x11/libICE/distinfo
  1.2       +0 -3      ports/x11/libICE/pkg-descr
  1.5       +3 -0      ports/x11/libICE/pkg-plist
  1.2       +0 -3      ports/x11/libSM/pkg-descr
  1.37      +3 -6      ports/x11/libX11/Makefile
  1.13      +2 -3      ports/x11/libX11/distinfo
  1.5       +3 -2      ports/x11/libX11/manpages
  1.3       +0 -3      ports/x11/libX11/pkg-descr
  1.12      +102 -119  ports/x11/libX11/pkg-plist
  1.4       +1 -1      ports/x11/libXScrnSaver/Makefile
  1.4       +2 -3      ports/x11/libXScrnSaver/distinfo
  1.2       +1 -2      ports/x11/libXScrnSaver/pkg-descr
  1.18      +1 -1      ports/x11/libXau/Makefile
  1.9       +2 -3      ports/x11/libXau/distinfo
  1.2       +0 -3      ports/x11/libXau/pkg-descr
  1.17      +1 -1      ports/x11/libXcomposite/Makefile
  1.9       +2 -3      ports/x11/libXcomposite/distinfo
  1.2       +0 -3      ports/x11/libXcomposite/pkg-descr
  1.25      +1 -1      ports/x11/libXcursor/Makefile
  1.8       +2 -3      ports/x11/libXcursor/distinfo
  1.2       +0 -3      ports/x11/libXcursor/pkg-descr
  1.15      +1 -1      ports/x11/libXdamage/Makefile
  1.7       +2 -3      ports/x11/libXdamage/distinfo
  1.2       +0 -3      ports/x11/libXdamage/pkg-descr
  1.2       +0 -3      ports/x11/libXdmcp/pkg-descr
  1.2       +1 -2      ports/x11/libXevie/pkg-descr
  1.21      +1 -1      ports/x11/libXext/Makefile
  1.10      +2 -3      ports/x11/libXext/distinfo
  1.2       +1 -3      ports/x11/libXext/pkg-descr
  1.3       +2 -1      ports/x11/libXext/pkg-plist
  1.2       +0 -3      ports/x11/libXfixes/pkg-descr
  1.21      +71 -1     ports/x11/libXi/Makefile
  1.10      +2 -3      ports/x11/libXi/distinfo
  1.3       +0 -3      ports/x11/libXi/pkg-descr
  1.2       +0 -3      ports/x11/libXinerama/pkg-descr
  1.2       +0 -3      ports/x11/libXprintAppUtil/pkg-descr
  1.2       +1 -2      ports/x11/libXprintUtil/pkg-descr
  1.2       +0 -3      ports/x11/libXrandr/pkg-descr
  1.2       +0 -3      ports/x11/libXres/pkg-descr
  1.2       +0 -3      ports/x11/libXtrans/pkg-descr
  1.2       +0 -3      ports/x11/libXtst/pkg-descr
  1.2       +0 -3      ports/x11/libXv/pkg-descr
  1.2       +0 -3      ports/x11/libXvMC/pkg-descr
  1.2       +0 -3      ports/x11/libXxf86dga/pkg-descr
  1.2       +0 -3      ports/x11/libXxf86misc/pkg-descr
  1.2       +0 -3      ports/x11/libXxf86vm/pkg-descr
  1.5       +1 -1      ports/x11/libdmx/Makefile
  1.3       +2 -3      ports/x11/libdmx/distinfo
  1.3       +0 -3      ports/x11/libdmx/pkg-descr
  1.2       +0 -3      ports/x11/liboldX/pkg-descr
  1.2       +0 -3      ports/x11/libxkbfile/pkg-descr
  1.3       +0 -3      ports/x11/libxkbui/pkg-descr
  1.2       +0 -3      ports/x11/listres/pkg-descr
  1.2       +0 -3      ports/x11/luit/pkg-descr
  1.17      +1 -1      ports/x11/pixman/Makefile
  1.12      +2 -3      ports/x11/pixman/distinfo
  1.2       +0 -3      ports/x11/pixman/pkg-descr
  1.2       +1 -2      ports/x11/printproto/pkg-descr
  1.4       +1 -1      ports/x11/randrproto/Makefile
  1.4       +2 -3      ports/x11/randrproto/distinfo
  1.2       +0 -3      ports/x11/randrproto/pkg-descr
  1.2       +1 -2      ports/x11/recordproto/pkg-descr
  1.2       +0 -3      ports/x11/renderproto/pkg-descr
  1.3       +1 -1      ports/x11/rgb/Makefile
  1.3       +2 -3      ports/x11/rgb/distinfo
  1.2       +0 -3      ports/x11/rgb/pkg-descr
  1.2       +0 -3      ports/x11/rstart/pkg-descr
  1.2       +1 -2      ports/x11/scrnsaverproto/pkg-descr
  1.10      +1 -2      ports/x11/sessreg/Makefile
  1.5       +2 -3      ports/x11/sessreg/distinfo
  1.2       +0 -3      ports/x11/sessreg/pkg-descr
  1.5       +1 -1      ports/x11/setxkbmap/Makefile
  1.4       +2 -3      ports/x11/setxkbmap/distinfo
  1.2       +0 -3      ports/x11/setxkbmap/pkg-descr
  1.2       +0 -3      ports/x11/smproxy/pkg-descr
  1.2       +1 -2      ports/x11/videoproto/pkg-descr
  1.2       +0 -3      ports/x11/viewres/pkg-descr
  1.7       +1 -1      ports/x11/wrapper/pkg-descr
  1.4       +1 -1      ports/x11/x11perf/Makefile
  1.4       +2 -3      ports/x11/x11perf/distinfo
  1.2       +0 -3      ports/x11/x11perf/pkg-descr
  1.4       +1 -1      ports/x11/xauth/Makefile
  1.4       +2 -3      ports/x11/xauth/distinfo
  1.2       +0 -3      ports/x11/xauth/pkg-descr
  1.4       +1 -1      ports/x11/xbiff/Makefile
  1.3       +2 -3      ports/x11/xbiff/distinfo
  1.2       +0 -3      ports/x11/xbiff/pkg-descr
  1.5       +1 -1      ports/x11/xcalc/Makefile
  1.4       +2 -3      ports/x11/xcalc/distinfo
  1.2       +0 -3      ports/x11/xcalc/pkg-descr
  1.2       +0 -3      ports/x11/xclipboard/pkg-descr
  1.2       +1 -2      ports/x11/xcmiscproto/pkg-descr
  1.2       +0 -3      ports/x11/xcmsdb/pkg-descr
  1.4       +1 -2      ports/x11/xconsole/Makefile
  1.3       +2 -3      ports/x11/xconsole/distinfo
  1.2       +0 -3      ports/x11/xconsole/pkg-descr
  1.2       +0 -3      ports/x11/xcursorgen/pkg-descr
  1.2       +0 -3      ports/x11/xdbedizzy/pkg-descr
  1.2       +0 -3      ports/x11/xditview/pkg-descr
  1.10      +3 -1      ports/x11/xdm/Makefile
  1.5       +6 -0      ports/x11/xdm/pkg-plist
  1.2       +0 -3      ports/x11/xdpyinfo/pkg-descr
  1.2       +0 -3      ports/x11/xdriinfo/pkg-descr
  1.3       +1 -1      ports/x11/xedit/Makefile
  1.3       +2 -3      ports/x11/xedit/distinfo
  1.2       +0 -2      ports/x11/xedit/pkg-descr
  1.4       +1 -1      ports/x11/xev/Makefile
  1.4       +2 -3      ports/x11/xev/distinfo
  1.2       +0 -3      ports/x11/xev/pkg-descr
  1.2       +1 -2      ports/x11/xextproto/pkg-descr
  1.3       +1 -1      ports/x11/xeyes/Makefile
  1.3       +2 -3      ports/x11/xeyes/distinfo
  1.2       +0 -3      ports/x11/xeyes/pkg-descr
  1.2       +0 -3      ports/x11/xf86dga/pkg-descr
  1.2       +1 -2      ports/x11/xf86dgaproto/pkg-descr
  1.2       +1 -2      ports/x11/xf86driproto/pkg-descr
  1.2       +0 -3      ports/x11/xf86miscproto/pkg-descr
  1.2       +0 -3      ports/x11/xf86rushproto/pkg-descr
  1.2       +1 -2      ports/x11/xf86vidmodeproto/pkg-descr
  1.2       +0 -3      ports/x11/xfd/pkg-descr
  1.2       +0 -3      ports/x11/xfindproxy/pkg-descr
  1.2       +0 -3      ports/x11/xfwp/pkg-descr
  1.4       +1 -1      ports/x11/xgamma/Makefile
  1.4       +2 -3      ports/x11/xgamma/distinfo
  1.2       +0 -3      ports/x11/xgamma/pkg-descr
  1.2       +0 -3      ports/x11/xgc/pkg-descr
  1.4       +1 -1      ports/x11/xhost/Makefile
  1.4       +2 -3      ports/x11/xhost/distinfo
  1.2       +0 -3      ports/x11/xhost/pkg-descr
  1.2       +0 -3      ports/x11/xineramaproto/pkg-descr
  1.2       +0 -3      ports/x11/xinit/pkg-descr
  1.9       +1 -1      ports/x11/xinput/Makefile
  1.8       +2 -3      ports/x11/xinput/distinfo
  1.2       +0 -3      ports/x11/xkbcomp/pkg-descr
  1.2       +0 -3      ports/x11/xkbevd/pkg-descr
  1.2       +0 -3      ports/x11/xkbprint/pkg-descr
  1.2       +0 -3      ports/x11/xkeyboard-config/pkg-descr
  1.3       +1 -1      ports/x11/xkill/Makefile
  1.3       +2 -3      ports/x11/xkill/distinfo
  1.2       +0 -3      ports/x11/xkill/pkg-descr
  1.2       +0 -3      ports/x11/xload/pkg-descr
  1.2       +0 -3      ports/x11/xlogo/pkg-descr
  1.2       +0 -3      ports/x11/xlsatoms/pkg-descr
  1.2       +0 -3      ports/x11/xlsclients/pkg-descr
  1.2       +0 -3      ports/x11/xmag/pkg-descr
  1.2       +0 -3      ports/x11/xman/pkg-descr
  1.2       +0 -3      ports/x11/xmessage/pkg-descr
  1.2       +0 -3      ports/x11/xmh/pkg-descr
  1.2       +0 -3      ports/x11/xmodmap/pkg-descr
  1.3       +1 -2      ports/x11/xmore/Makefile
  1.2       +2 -3      ports/x11/xmore/distinfo
  1.2       +0 -3      ports/x11/xmore/pkg-descr
  1.11      +2 -3      ports/x11/xorg-apps/Makefile
  1.2       +0 -3      ports/x11/xorg-apps/pkg-descr
  1.28      +1 -1      ports/x11/xorg-libraries/Makefile
  1.2       +0 -3      ports/x11/xorg-libraries/pkg-descr
  1.33      +1 -1      ports/x11/xorg/Makefile
  1.2       +0 -3      ports/x11/xorg/pkg-descr
  1.2       +0 -3      ports/x11/xplsprinters/pkg-descr
  1.2       +0 -3      ports/x11/xpr/pkg-descr
  1.2       +0 -3      ports/x11/xprehashprinterlist/pkg-descr
  1.2       +0 -3      ports/x11/xprop/pkg-descr
  1.3       +0 -3      ports/x11/xproto/pkg-descr
  1.2       +0 -3      ports/x11/xproxymanagementprotocol/pkg-descr
  1.6       +1 -1      ports/x11/xrandr/Makefile
  1.6       +2 -3      ports/x11/xrandr/distinfo
  1.2       +0 -3      ports/x11/xrandr/pkg-descr
  1.2       +0 -3      ports/x11/xrdb/pkg-descr
  1.2       +0 -3      ports/x11/xrefresh/pkg-descr
  1.2       +0 -3      ports/x11/xrx/pkg-descr
  1.5       +1 -1      ports/x11/xset/Makefile
  1.5       +2 -3      ports/x11/xset/distinfo
  1.2       +0 -2      ports/x11/xset/pkg-descr
  1.2       +0 -3      ports/x11/xsetmode/pkg-descr
  1.2       +0 -3      ports/x11/xsetpointer/pkg-descr
  1.2       +0 -3      ports/x11/xsetroot/pkg-descr
  1.2       +0 -3      ports/x11/xsm/pkg-descr
  1.2       +0 -3      ports/x11/xstdcmap/pkg-descr
  1.2       +0 -3      ports/x11/xtrans/pkg-descr
  1.2       +0 -3      ports/x11/xtrap/pkg-descr
  1.2       +0 -3      ports/x11/xvinfo/pkg-descr
  1.2       +0 -3      ports/x11/xwd/pkg-descr
  1.2       +0 -3      ports/x11/xwininfo/pkg-descr
  1.2       +0 -3      ports/x11/xwud/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Martin Wilke freebsd_committer 2011-02-25 17:21:27 UTC
State Changed
From-To: patched->closed

Committed. Thanks!